Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class ViewContext

    java.lang.Object
      org.deegree.portal.context.AbstractContext
          org.deegree.portal.context.ViewContext

    public class ViewContext

extends AbstractContext

is the root class of the Web Map Context

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`ViewContext(General general, LayerList layerList)` Creates a new WebMapContext object.

Method Summary
`ViewContext` | `clone(User user, String sessionID)` The function obtains a copy from the view context
`LayerList` | `getLayerList()` returns the list of layers contained in this context
`void` | `setLayerList(LayerList layerList)` sets the list of layers to be contained in this context

Methods inherited from class org.deegree.portal.context.AbstractContext
`getGeneral, setGeneral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewContext

    public ViewContext(General general,
                       LayerList layerList)
                throws ContextException

  Creates a new WebMapContext object.

  Parameters:
    `general` - general informations about the map context and its creator
    `layerList` - layers contained in the web map context
  Throws:
    `ContextException` - when layerList is `null`

Method Detail

### getLayerList

    public LayerList getLayerList()

  returns the list of layers contained in this context

  Returns:
    all layers of this context

### setLayerList

    public void setLayerList(LayerList layerList)
                      throws ContextException

  sets the list of layers to be contained in this context

  Parameters:
    `layerList` -
  Throws:
    `ContextException`

### clone

    public ViewContext clone(User user,
                             String sessionID)
                      throws ParserConfigurationException,
                             UnknownCRSException,
                             IOException,
                             XMLParsingException,
                             ContextException

  The function obtains a copy from the view context

  Parameters:
    `user` -
    `sessionID` -
  Returns:
    a clone vc
  Throws:
    `ParserConfigurationException`
    `UnknownCRSException`
    `IOException`
    `XMLParsingException`
    `ContextException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org